!! Method 1: ramping time is zero, i.e. Vm abruptly change from Vrest to Vstim
      IF (tresidue .GE. t_V_stim_start .AND. tresidue .LT. t_V_stim_end) THEN
          IF (is_being_clamped .EQ. .FALSE.) THEN
             Vm = V_stim
             
             is_being_clamped = .TRUE.
             INCLUDE "Vm_dependent.inc"  !!kva,kvi
             INCLUDE "dp_args.inc"  !! dp_arg1, dp_arg2
          END IF
       ELSE
          IF (is_being_clamped .EQ. .TRUE.) THEN
             Vm = V_rest
             is_being_clamped = .FALSE.
             INCLUDE "Vm_dependent.inc"  !!kva,kvi
             INCLUDE "dp_args.inc"  !! dp_arg1, dp_arg2
          ENDIF
       ENDIF
